24 |
|
''' <remarks></remarks> |
25 |
|
Private Sub MettreNote(ByRef TypeCl As String, ByRef valeur As Double, ByRef couleur As Long, ByVal balon As Integer) |
26 |
|
' prend toutes les entités sélectionnées et met une annotation dessu. |
27 |
– |
|
28 |
– |
|
27 |
|
Dim Note As SldWorks.Note |
28 |
|
Dim Annotation As SldWorks.Annotation |
29 |
|
Dim TextFormat As Object = Nothing |
115 |
|
|
116 |
|
End Sub |
117 |
|
|
118 |
< |
Private Sub SelectSousJacent(ByRef swFace As SldWorks.Face2) |
119 |
< |
Dim swEnt As SldWorks.Entity |
118 |
> |
Private Overloads Sub SelectSousJacent(ByRef swFace As sldworks.Face2) |
119 |
> |
Dim swEnt As sldworks.Entity |
120 |
|
Dim coa As Integer |
121 |
< |
Dim swLoop As SldWorks.Loop2 |
124 |
< |
Dim swCoArete As SldWorks.CoEdge |
125 |
< |
Dim swArete As SldWorks.Edge |
121 |
> |
Dim swLoop As sldworks.Loop2 |
122 |
|
|
123 |
|
swLoop = swFace.GetFirstLoop |
124 |
|
Do While Not swLoop Is Nothing |
129 |
– |
swCoArete = swLoop.GetFirstCoEdge |
130 |
– |
For coa = 0 To swLoop.GetEdgeCount |
131 |
– |
swArete = swCoArete.GetEdge |
132 |
– |
|
133 |
– |
swEnt = swArete |
134 |
– |
swEnt.Select4(True, Nothing) |
135 |
– |
|
125 |
|
|
126 |
+ |
Dim vArete As Object = swLoop.GetEdges() |
127 |
+ |
For Each swArete As sldworks.Edge In vArete |
128 |
+ |
'swEnt = swArete |
129 |
+ |
'swEnt.Select3(True, 0, Nothing) |
130 |
+ |
Dim e As New SuperArete(swArete, True) : e.SelectionnerSafe() |
131 |
|
Call SelectSousJacent(swArete) |
132 |
< |
|
139 |
< |
swCoArete = swCoArete.GetNext |
140 |
< |
Next coa ' fin de loop sur les coaretes |
132 |
> |
Next swArete ' fin de loop sur les coaretes |
133 |
|
|
134 |
|
swLoop = swLoop.GetNext |
135 |
|
Loop ' fin loop sur loop |
136 |
|
|
137 |
|
End Sub |
138 |
|
|
139 |
< |
Private Sub SelectSousJacent(ByRef swArete As SldWorks.Edge) |
139 |
> |
Private Overloads Sub SelectSousJacent(ByRef swArete As sldworks.Edge) |
140 |
|
' l'arête est sélectionnée, il faut sélectionner ses sommets... |
141 |
< |
Dim sommet1 As SldWorks.Vertex |
142 |
< |
Dim sommet2 As SldWorks.Vertex |
143 |
< |
Dim swEnt As SldWorks.Entity |
141 |
> |
Dim sommet1 As sldworks.Vertex |
142 |
> |
Dim sommet2 As sldworks.Vertex |
143 |
> |
Dim swEnt As sldworks.Entity |
144 |
|
|
145 |
|
sommet1 = swArete.GetStartVertex |
146 |
|
|
147 |
|
If IsNothing(sommet1) Then Exit Sub ' courbe sans sommets |
148 |
|
|
149 |
< |
swEnt = sommet1 |
150 |
< |
swEnt.Select4(True, Nothing) |
149 |
> |
'swEnt = sommet1 |
150 |
> |
'swEnt.Select2(True, Nothing) |
151 |
> |
Dim esom1 As New SuperSommet(sommet1, True) : esom1.SelectionnerSafe() |
152 |
|
|
153 |
|
sommet2 = swArete.GetEndVertex |
154 |
< |
swEnt = sommet2 |
155 |
< |
swEnt.Select4(True, Nothing) |
154 |
> |
'swEnt = sommet2 |
155 |
> |
'swEnt.Select2(True, Nothing) |
156 |
> |
Dim esom2 As New SuperSommet(sommet2, True) : esom2.SelectionnerSafe() |
157 |
|
|
158 |
|
End Sub |
159 |
|
|